<!--
/********************************************************************************
 * Copyright © 2020 Basys GmbH.
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0.
 *
 * SPDX-License-Identifier: EPL-2.0
 ********************************************************************************/
-->

<div class="container-fluid">
  <div class="row">
    <div class="col-md-12">
      <div class="d-flex justify-content-between flex-wrap flex-md-nowrap align-items-center pt-3 pb-2 mb-3 border-bottom">
        <h1 class="h2" id="overviewHeader">
          Zyklischen Report verwalten
        </h1>
        <div class="btn-toolbar mb-2 mb-md-0">
          <div class="btn-group mr-2">
            <button class="btn btn-primary mr-1" routerLink=".." >
              Zurück
            </button>
            <ng-container *ngIf="report">
              <button *ngIf="report?.id != null"
                      [disabled]="form?.disabled"
                      (click)="delete()"
                      class="btn btn-danger mr-1">
                Löschen
              </button>
              <button class="btn btn-success mr-1"
                      [disabled]="form?.disabled"
                      (click)="submit()">
                Speichern
              </button>
            </ng-container>
          </div>
        </div>
      </div>
    </div>
  </div>

  <div class="row" *ngIf="report == null">
    <div class="col-md-12">
      Daten konnten nicht geladen werden. Bitte kehren Sie zur Übersicht zurück oder betreten Sie die Seite erneut.
    </div>
  </div>

  <div class="row" *ngIf="report != null">
    <div class="col-md-12 cyclic-report-form">

      <div class="cyclic-report-form-column">
        <ok-cyclic-report-form-input [form]="form" [key]="'name'">
          <span class="cyclic-report-form-label">Name:</span>
        </ok-cyclic-report-form-input>

        <div></div>

        <ok-cyclic-report-form-select [form]="form" [key]="'reportName'" [options]="reportNameOptions">
          <span class="cyclic-report-form-label">Planart:</span>
        </ok-cyclic-report-form-select>

        <ok-cyclic-report-form-select [form]="form" [key]="'standByListId'"
                                      [options]="standByListOptions">
          <span class="cyclic-report-form-label">Liste:</span>
        </ok-cyclic-report-form-select>

        <ok-cyclic-report-form-select [form]="form" [key]="'statusId'" [options]="planStatusOptions">
          <span class="cyclic-report-form-label">Ebene:</span>
        </ok-cyclic-report-form-select>

        <ok-cyclic-report-form-select [form]="form" [key]="'printFormat'" [options]="printFormats">
          <span class="cyclic-report-form-label">Format:</span>
        </ok-cyclic-report-form-select>

        <div></div>

        <ng-container *ngFor="let entry of toFormArray?.controls; let i = index; let first = first;">
          <ok-cyclic-report-form-input [form]="toFormArray" [key]="i"
                                       [displayAddButton]="first" [displayCancelButton]="!first"
                                       (add)="addEmailControl()" (cancel)="removeEmailControlAt(i)">
            <span class="cyclic-report-form-label">
              <ng-container *ngIf="first">Empfänger:</ng-container>
            </span>
          </ok-cyclic-report-form-input>
        </ng-container>

        <ok-cyclic-report-form-input [form]="form" [key]="'subject'">
          <span class="cyclic-report-form-label">Betreff:</span>
        </ok-cyclic-report-form-input>

        <ok-cyclic-report-form-textarea [form]="form" [key]="'emailText'" class="cyclic-report-form-textarea">
          <span class="cyclic-report-form-label">Emailtext:</span>
        </ok-cyclic-report-form-textarea>

        <ok-cyclic-report-form-input [form]="form" [key]="'fileNamePattern'">
          <span class="cyclic-report-form-label">Dateiname:</span>
        </ok-cyclic-report-form-input>

      </div>

      <div class="cyclic-report-form-column">

        <ok-cyclic-report-form-date-controls [form]="form"
                                             [options]="weekDayOptions"
                                             [triggerMinuteStep]="triggerMinuteStep"
                                             [key]="'trigger'">
          <span>Auslöse&shy;zeitpunkt:</span>
        </ok-cyclic-report-form-date-controls>

        <ok-cyclic-report-form-date-controls [form]="form"
                                             [key]="'validFrom'" [forDayOffset]="true">
          <span>Gültig&shy;keit von:</span>
        </ok-cyclic-report-form-date-controls>

        <ok-cyclic-report-form-date-controls [form]="form" [key]="'validTo'"
                                             [forDayOffset]="true">
          <span>Gültig&shy;keit bis:</span>
        </ok-cyclic-report-form-date-controls>

        <ok-error class="cyclic-report-form-error" [control]="form"></ok-error>

        <ok-cyclic-report-form-info
          [data]="form?.value"
          [dateReplacementTokens]="dateTokens"
          class="cyclic-report-form-info">
        </ok-cyclic-report-form-info>

      </div>

    </div>
  </div>

</div>
